ros-rolling-moveit-servo (2.4.0-1focal) focal; urgency=high

  * Remove 'using namespace' from header files. (#994 <https://github.com/ros-planning/moveit2/issues/994>)
  * Servo: re-order velocity limit check & minor cleanup (#956 <https://github.com/ros-planning/moveit2/issues/956>)
  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: AndyZe, Cory Crean, Robert Haschke

 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-moveit-servo (2.3.2-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-moveit-servo (2.3.1-1focal) focal; urgency=high

  * Servo: fix -Wunused-private-field (#937 <https://github.com/ros-planning/moveit2/issues/937>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Add descriptions and default values to servo parameters (#799 <https://github.com/ros-planning/moveit2/issues/799>)
  * Update README (#812 <https://github.com/ros-planning/moveit2/issues/812>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * moveit_servo: Fix ACM for collision checking & PSM's scene monitor topic (#673 <https://github.com/ros-planning/moveit2/issues/673>)
  * Fix initialization of PSM publisher in servo (#771 <https://github.com/ros-planning/moveit2/issues/771>)
  * Move initialization of ServoNode into constructor (#761 <https://github.com/ros-planning/moveit2/issues/761>)
  * Fix missing test depend in servo (#759 <https://github.com/ros-planning/moveit2/issues/759>)
  * Find/replace deprecated spawner.py (#737 <https://github.com/ros-planning/moveit2/issues/737>)
  * Fix the servo executable name (#746 <https://github.com/ros-planning/moveit2/issues/746>)
  * Use rclcpp::SystemDefaultsQoS in Servo (#721 <https://github.com/ros-planning/moveit2/issues/721>)
  * Use multi-threaded component container, do not use intraprocess comms in Servo (#723 <https://github.com/ros-planning/moveit2/issues/723>)
  * Disable use_intra_process_comms in servo launch files (#722 <https://github.com/ros-planning/moveit2/issues/722>)
  * Servo: minor fixups (#2759 <https://github.com/ros-planning/moveit/issues/2759>)
  * Contributors: AndyZe, Dave Coleman, David V. Lu!!, Henning Kayser, Jafar Abdi, Robert Haschke, Stephanie Eng, Tyler Weaver, toru-kuga

 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 23 Dec 2021 07:00:00 -0000

ros-rolling-moveit-servo (2.3.0-1focal) focal; urgency=high

  * Make TF buffer & listener in PSM private (#654 <https://github.com/ros-planning/moveit2/issues/654>)
  * Rename ServoServer to ServerNode (#649 <https://github.com/ros-planning/moveit2/issues/649>)
  * Fix std::placeholders namespace conflict (#713 <https://github.com/ros-planning/moveit2/issues/713>)
  * Publish singularity condition to ~/servo_server/condition (#695 <https://github.com/ros-planning/moveit2/issues/695>)
  * Skip publishing to Servo topics if input commands are stale (#707 <https://github.com/ros-planning/moveit2/issues/707>)
  * Delete duplicate entry in Servo launch file (#684 <https://github.com/ros-planning/moveit2/issues/684>)
  * Fix cmake warnings (#690 <https://github.com/ros-planning/moveit2/issues/690>)
    * Fix -Wformat-security
    * Fix -Wunused-variable
    * Fix -Wunused-lambda-capture
    * Fix -Wdeprecated-declarations
    * Fix clang-tidy, readability-identifier-naming in moveit_kinematics
  * Add standalone executable for Servo node, and example launch file (#621 <https://github.com/ros-planning/moveit2/issues/621>)
  * Validate return of getJointModelGroup in ServoCalcs (#648 <https://github.com/ros-planning/moveit2/issues/648>)
  * Migrate to joint_state_broadcaster (#657 <https://github.com/ros-planning/moveit2/issues/657>)
  * Add gripper and traj control packages as run dependencies (#636 <https://github.com/ros-planning/moveit2/issues/636>)
  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Remove stray semicolon (#613 <https://github.com/ros-planning/moveit2/issues/613>)
  * Re-Enable Servo Tests (#603 <https://github.com/ros-planning/moveit2/issues/603>)
  * Fix missing include in servo example (#604 <https://github.com/ros-planning/moveit2/issues/604>)
  * Document the difference between Servo pause/unpause and start/stop (#605 <https://github.com/ros-planning/moveit2/issues/605>)
  * Wait for complete state duration fix (#590 <https://github.com/ros-planning/moveit2/issues/590>)
  * Delete "stop distance"-based collision checking (#564 <https://github.com/ros-planning/moveit2/issues/564>)
  * Fix loading joint_limits.yaml in demo and test launch files (#544 <https://github.com/ros-planning/moveit2/issues/544>)
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Refactor out velocity limit enforcement with test (#540 <https://github.com/ros-planning/moveit2/issues/540>)
  * Refactor moveit_servo::LowPassFilter to be assignable (#572 <https://github.com/ros-planning/moveit2/issues/572>)
  * Fix MoveIt Servo compilation on macOS (#555 <https://github.com/ros-planning/moveit2/issues/555>)
  * Fix segfault if servo collision checking is disabled (#568 <https://github.com/ros-planning/moveit2/issues/568>)
  * Remove gtest include from non-testing source (#2747 <https://github.com/ros-planning/moveit2/issues/2747>)
  * Fix an off-by-one error in servo_calcs.cpp (#2740 <https://github.com/ros-planning/moveit2/issues/2740>)
  * Contributors: AdamPettinger, Akash, AndyZe, Griswald Brooks, Henning Kayser, Jafar Abdi, Joseph Schornak, Michael Görner, Nathan Brooks, Nisala Kalupahana, Tyler Weaver, Vatan Aksoy Tezer, luisrayas3, Lior Lustgarten

 -- Blake Anderson <blakeanderson@utexas.edu>  Fri, 08 Oct 2021 06:00:00 -0000

ros-rolling-moveit-servo (2.2.1-1focal) focal; urgency=high

  * moveit_servo: Add a parameter to halt only joints that violate position limits  (#515 <https://github.com/ros-planning/moveit2/issues/515>)
    Add halt_all_joints_in_joint_mode & halt_all_joints_in_cartesian_mode parameters to decide whether to halt all joints or some of them in case of joint limit violation
  * Contributors: Jafar Abdi

 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 12 Jul 2021 06:00:00 -0000

ros-rolling-moveit-servo (2.2.0-1focal) focal; urgency=high

  * Allow a negative joint margin (#501 <https://github.com/ros-planning/moveit2/issues/501>)
  * Move servo doc and examples to moveit2_tutorials (#486 <https://github.com/ros-planning/moveit2/issues/486>)
  * Remove faulty gtest include (#526 <https://github.com/ros-planning/moveit2/issues/526>)
  * Fix segfault when publish_joint_velocities set to false and a joint is close to position limit (#497 <https://github.com/ros-planning/moveit2/issues/497>)
  * Enable Rolling and Galactic CI (#494 <https://github.com/ros-planning/moveit2/issues/494>)
  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
    * Misspelled MoveIt (#2692 <https://github.com/ros-planning/moveit/issues/2692>)
    * Avoid joint jump when SuddenHalt() is called in velocity mode (#2594 <https://github.com/ros-planning/moveit/issues/2594>)
    * Halt Servo command on Pose Tracking stop (#2501 <https://github.com/ros-planning/moveit/issues/2501>)
    * stop_requested_ flag clearing fix (#2537 <https://github.com/ros-planning/moveit/issues/2537>)
    * add missing include (#2519 <https://github.com/ros-planning/moveit/issues/2519>)
    * Refactor velocity bounds enforcement (#2471 <https://github.com/ros-planning/moveit/issues/2471>)
  * Contributors: AdamPettinger, AndyZe, Henning Kayser, Jafar Abdi, JafarAbdi, Jere Liukkonen, Michael Görner, Nathan Brooks, Robert Haschke, Tyler Weaver, Vatan Aksoy Tezer, parunapu

 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 30 Jun 2021 06:00:00 -0000

ros-rolling-moveit-servo (2.1.4-1focal) focal; urgency=high

  * Delete MoveIt fake_controller_manager (#471 <https://github.com/ros-planning/moveit2/issues/471>)
  * Contributors: AndyZe

 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 31 May 2021 06:00:00 -0000

ros-rolling-moveit-servo (2.1.3-1focal) focal; urgency=high

  * Refactor Servo velocity bounds enforcement. Disable flaky unit tests. (#428 <https://github.com/ros-planning/moveit2/issues/428>)
  * Fix joint limit handling when velocities aren't included in robot state (#451 <https://github.com/ros-planning/moveit2/issues/451>)
  * Fix Servo logging frequency (#457 <https://github.com/ros-planning/moveit2/issues/457>)
  * Replace last ament_export_libraries macro calls with ament_export_targets (#448 <https://github.com/ros-planning/moveit2/issues/448>)
  * Contributors: AndyZe, Sebastian Jahr, Vatan Aksoy Tezer

 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 22 May 2021 06:00:00 -0000

ros-rolling-moveit-servo (2.1.2-1focal) focal; urgency=high

  * Re-enable test_servo_pose_tracking integration test (#423 <https://github.com/ros-planning/moveit2/issues/423>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Tyler Weaver, Vatan Aksoy Tezer

 -- Blake Anderson <blakeanderson@utexas.edu>  Tue, 20 Apr 2021 06:00:00 -0000

ros-rolling-moveit-servo (2.1.1-1focal) focal; urgency=high

  * Do not output positions at all if they are set to false (#410 <https://github.com/ros-planning/moveit2/issues/410>)
  * Update launch files to use ros2 control spawner (#405 <https://github.com/ros-planning/moveit2/issues/405>)
  * Include boost optional in pose_tracking (#406 <https://github.com/ros-planning/moveit2/issues/406>)
  * Use fake_components::GenericSystem from ros2_control (#361 <https://github.com/ros-planning/moveit2/issues/361>)
  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * moveit servo: fix constructing duration from double & fix bug in insertRedundantPointsIntoTrajectory function (#374 <https://github.com/ros-planning/moveit2/issues/374>)
  * port pose tracking (#320 <https://github.com/ros-planning/moveit2/issues/320>)
  * Fix 'start_servo' service topic in demo
  * Sync main branch with MoveIt 1 from previous head https://github.com/ros-planning/moveit/commit/0247ed0027ca9d7f1a7f066e62c80c9ce5dbbb5e up to https://github.com/ros-planning/moveit/commit/74b3e30db2e8683ac17b339cc124675ae52a5114
  * Protect paused_ flag, for thread safety (#2494 <https://github.com/ros-planning/moveit2/issues/2494>)
  * Do not break out of loop -- need to update low pass filters (#2496 <https://github.com/ros-planning/moveit2/issues/2496>)
  * [Servo] Fix initial angle error is always 0 (#2464 <https://github.com/ros-planning/moveit2/issues/2464>)
  * Add an important sleep in Servo pose tracking (#2463 <https://github.com/ros-planning/moveit2/issues/2463>)
  * Prevent moveit_servo transforms between fixed frames from causing timeout (#2418 <https://github.com/ros-planning/moveit2/issues/2418>)
  * [feature] Low latency mode (#2401 <https://github.com/ros-planning/moveit2/issues/2401>)
  * Move timer initialization down to fix potential race condition
  * Contributors: Abishalini Sivaraman, AdamPettinger, AndyZe, Boston Cleek, Henning Kayser, Jafar Abdi, Nathan Brooks, Tyler Weaver

 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 12 Apr 2021 06:00:00 -0000

ros-rolling-moveit-servo (2.1.0-1focal) focal; urgency=high

  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * [fix] Servo runtime issues (#257 <https://github.com/ros-planning/moveit2/issues/257>, #265 <https://github.com/ros-planning/moveit2/issues/265>, #294 <https://github.com/ros-planning/moveit2/issues/294>)
  * [ros2-migration] Port moveit_servo to ROS 2 (#248 <https://github.com/ros-planning/moveit2/issues/248>)
    * Ports the source from MoveIt
    * Adds examples (C++ interface, composable node interface, teleoperation demo for gamepad)
    * Adds integration and unit tests
  * Contributors: Adam Pettinger, Henning Kayser, Lior Lustgarten, Tyler Weaver

 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 23 Nov 2020 07:00:00 -0000

ros-rolling-moveit-servo (1.1.1-1focal) focal; urgency=high

  * [feature] A library for servoing toward a moving pose (#2203 <https://github.com/ros-planning/moveit/issues/2203>)
  * [feature] Refactor velocity limit enforcement and add a unit test (#2260 <https://github.com/ros-planning/moveit/issues/2260>)
  * [fix] Servo thread interruption (#2314 <https://github.com/ros-planning/moveit/issues/2314>)
  * [fix] Servo heap-buffer-overflow bug (#2307 <https://github.com/ros-planning/moveit/issues/2307>)
  * [maint] Cleanup MSA includes (#2351 <https://github.com/ros-planning/moveit/issues/2351>)
  * Contributors: AndyZe, Robert Haschke, Tyler Weaver

 -- Blake Anderson <blakeanderson@utexas.edu>  Tue, 13 Oct 2020 06:00:00 -0000

ros-rolling-moveit-servo (1.1.0-1focal) focal; urgency=high

  * [feature] Update last_sent_command_ at ServoCalcs start (#2249 <https://github.com/ros-planning/moveit/issues/2249>)
  * [feature] Add a utility to print collision pairs (#2275 <https://github.com/ros-planning/moveit/issues/2275>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [maint] add soname version to moveit_servo (#2266 <https://github.com/ros-planning/moveit/issues/2266>)
  * [maint] delete python integration tests (#2186 <https://github.com/ros-planning/moveit/issues/2186>)
  * Contributors: AdamPettinger, AndyZe, Robert Haschke, Ruofan Xu, Tyler Weaver, v4hn

 -- Blake Anderson <blakeanderson@utexas.edu>  Fri, 04 Sep 2020 06:00:00 -0000

ros-rolling-moveit-servo (1.0.6-1focal) focal; urgency=high

  * [feature] A ROS service to reset the Servo status (#2246 <https://github.com/ros-planning/moveit/issues/2246>)
  * [feature] Check collisions during joint motions, too (#2204 <https://github.com/ros-planning/moveit/issues/2204>)
  * [fix]     Correctly set velocities to zero when stale (#2255 <https://github.com/ros-planning/moveit/issues/2255>)
  * [maint]   Remove unused yaml param (#2232 <https://github.com/ros-planning/moveit/issues/2232>)
  * [maint]   Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint]   Migrate to clang-format-10
  * Contributors: AndyZe, Robert Haschke, Ruofan Xu, Michael Görner

 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 19 Aug 2020 06:00:00 -0000

ros-rolling-moveit-servo (1.0.5-1focal) focal; urgency=high

  * [maint]   Minor moveit_servo header cleanup (#2173 <https://github.com/ros-planning/moveit/issues/2173>)
  * [maint]   Move and rename to moveit_ros/moveit_servo (#2165 <https://github.com/ros-planning/moveit/issues/2165>)
  * [maint]   Changes before porting to ROS2 (#2151 <https://github.com/ros-planning/moveit/issues/2151>)
    * throttle warning logs
    * ROS1 Basic improvements and changes
    * Fixes to drift dimensions, singularity velocity scaling
    * tf name changes, const fixes, slight logic changes
    * Move ROS_LOG_THROTTLE_PERIOD to cpp files
    * Track staleness of joint and twist seperately
    * Ensure joint_trajectory output is always populated with something, even when no jog
    * Fix joint trajectory redundant points for gazebo pub
    * Fix crazy joint jog from bad Eigen init
    * Fix variable type in addJointIncrements()
    * Initialize last sent command in constructor
    * More explicit joint_jog_cmdand twist_stamped_cmdnames
    * Add comment clarying transform calculation / use
  * [fix]     Fix access past end of array bug (#2155 <https://github.com/ros-planning/moveit/issues/2155>)
  * [maint]   Remove duplicate line (#2154 <https://github.com/ros-planning/moveit/issues/2154>)
  * [maint]   pragma once in jog_arm.h (#2152 <https://github.com/ros-planning/moveit/issues/2152>)
  * [feature] Simplify communication between threads (#2103 <https://github.com/ros-planning/moveit/issues/2103>)
    * get latest joint state c++ api
    * throttle warning logs
    * publish from jog calcs timer, removing redundant timer and internal messaging to main timer
    * outgoing message as pool allocated shared pointer for zero copy
    * replace jog_arm shared variables with ros pub/sub
    * use built in zero copy message passing instead of spsc_queues
    * use ros timers instead of threads in jog_arm
  * [feature] Added throttle to jogarm accel limit warning (#2141 <https://github.com/ros-planning/moveit/issues/2141>)
  * [feature] Time-based collision avoidance (#2100 <https://github.com/ros-planning/moveit/issues/2100>)
  * [fix]     Fix crash on empty jog msgs (#2094 <https://github.com/ros-planning/moveit/issues/2094>)
  * [feature] Jog arm dimensions (#1724 <https://github.com/ros-planning/moveit/issues/1724>)
  * [maint]   Clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>)
  * [feature] Keep updating joints, even while waiting for a valid command (#2027 <https://github.com/ros-planning/moveit/issues/2027>)
  * [fix]     Fix param logic bug for self- and scene-collision proximity thresholds (#2022 <https://github.com/ros-planning/moveit/issues/2022>)
  * [feature] Split collision proximity threshold (#2008 <https://github.com/ros-planning/moveit/issues/2008>)
    * separate proximity threshold values for self-collisions and scene collisions
    * increase default value of scene collision proximity threshold
    * deprecate old parameters
  * [fix]     Fix valid command flags (#2013 <https://github.com/ros-planning/moveit/issues/2013>)
    * Rename the 'zero command flag' variables for readability
    * Reset flags when incoming commands timeout
    * Remove debug line, clang format
  * [maint]   Use default move constructor + assignment operators for MoveItCpp. (#2004 <https://github.com/ros-planning/moveit/issues/2004>)
  * [fix]     Fix low-pass filter initialization (#1982 <https://github.com/ros-planning/moveit/issues/1982>)
    * Pause/stop JogArm threads using shared atomic bool variables
    * Add pause/unpause flags for jog thread
    * Verify valid joints by filtering for active joint models only
    * Remove redundant joint state increments
    * Wait for initial jog commands in main loop
  * [fix]     Remove duplicate collision check in JogArm (#1986 <https://github.com/ros-planning/moveit/issues/1986>)
  * [feature] Add a binary collision check (#1978 <https://github.com/ros-planning/moveit/issues/1978>)
  * [feature] Publish more detailed warnings (#1915 <https://github.com/ros-planning/moveit/issues/1915>)
  * [feature] Use wait_for_service() to fix flaky tests (#1946 <https://github.com/ros-planning/moveit/issues/1946>)
  * [maint]   Fix versioning (#1948 <https://github.com/ros-planning/moveit/issues/1948>)
  * [feature] SRDF velocity and acceleration limit enforcement (#1863 <https://github.com/ros-planning/moveit/issues/1863>)
  * [maint]   Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [fix]     JogArm C++ API fixes (#1911 <https://github.com/ros-planning/moveit/issues/1911>)
  * [feature] A ROS service to enable task redundancy (#1855 <https://github.com/ros-planning/moveit/issues/1855>)
  * [fix]     Fix segfault with uninitialized JogArm thread (#1882 <https://github.com/ros-planning/moveit/issues/1882>)
  * [feature] Add warnings to moveit_jog_arm low pass filter (#1872 <https://github.com/ros-planning/moveit/issues/1872>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 for portability (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]     Fix initial end effector transform jump (#1871 <https://github.com/ros-planning/moveit/issues/1871>)
  * [feature] Rework the halt msg functionality (#1868 <https://github.com/ros-planning/moveit/issues/1868>)
  * [fix]     Various small fixes (#1859 <https://github.com/ros-planning/moveit/issues/1859>)
  * [maint]   Improve formatting in comments
  * [fix]     Prevent a crash at velocity limit (#1837 <https://github.com/ros-planning/moveit/issues/1837>)
  * [feature] Remove scale/joint parameter (#1838 <https://github.com/ros-planning/moveit/issues/1838>)
  * [feature] Pass planning scene monitor into cpp interface (#1849 <https://github.com/ros-planning/moveit/issues/1849>)
  * [maint]   Move attribution below license file, standardize with MoveIt (#1847 <https://github.com/ros-planning/moveit/issues/1847>)
  * [maint]   Reduce console output warnings (#1845 <https://github.com/ros-planning/moveit/issues/1845>)
  * [fix]     Fix command frame transform computation (#1842 <https://github.com/ros-planning/moveit/issues/1842>)
  * [maint]   Fix dependencies + catkin_lint issues
  * [feature] Update link transforms before calling checkCollision on robot state in jog_arm (#1825 <https://github.com/ros-planning/moveit/issues/1825>)
  * [feature] Add atomic bool flags for terminating JogArm threads gracefully (#1816 <https://github.com/ros-planning/moveit/issues/1816>)
  * [feature] Get transforms from RobotState instead of TF (#1803 <https://github.com/ros-planning/moveit/issues/1803>)
  * [feature] Add a C++ API (#1763 <https://github.com/ros-planning/moveit/issues/1763>)
  * [maint]   Fix unused parameter warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint]   Update license formatting (#1764 <https://github.com/ros-planning/moveit/issues/1764>)
  * [maint]   Unify jog_arm package to be C++14 (#1762 <https://github.com/ros-planning/moveit/issues/1762>)
  * [fix]     Fix jog_arm segfault (#1692 <https://github.com/ros-planning/moveit/issues/1692>)
  * [fix]     Fix double mutex unlock (#1672 <https://github.com/ros-planning/moveit/issues/1672>)
  * [maint]   Rename jog_arm->moveit_jog_arm (#1663 <https://github.com/ros-planning/moveit/issues/1663>)
  * [feature] Do not wait for command msg to start spinning (#1603 <https://github.com/ros-planning/moveit/issues/1603>)
  * [maint]   Update jog_arm README with rviz config (#1614 <https://github.com/ros-planning/moveit/issues/1614>)
  * [maint]   Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint]   Separate moveit_experimental packages (#1606 <https://github.com/ros-planning/moveit/issues/1606>)
  * [feature] Use UR5 example (#1605 <https://github.com/ros-planning/moveit/issues/1605>)
  * [feature] Sudden stop for critical issues, filtered deceleration otherwise (#1468 <https://github.com/ros-planning/moveit/issues/1468>)
  * [feature] Change 2nd order Butterworth low pass filter to 1st order (#1483 <https://github.com/ros-planning/moveit/issues/1483>)
  * [maint]   Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * [feature] JogArm: Remove dependency on move_group node (#1569 <https://github.com/ros-planning/moveit/issues/1569>)
  * [fix]     Fix jog arm CI integration test (#1466 <https://github.com/ros-planning/moveit/issues/1466>)
  * [feature] A jogging PR for Melodic. (#1360 <https://github.com/ros-planning/moveit/issues/1360>)
    * Allow for joints in the msg that are not part of the MoveGroup.
    * Switching to the Panda robot model for tests.
    * Blacklist the test as I can't get it to pass Travis (fine locally).
    * Throttling all warnings. Fix build warning re. unit vs int comparison.
    * Continue to publish commands even if stationary
    * Scale for 'unitless' commands is not tied to publish_period.
    * New function name for checkIfJointsWithinBounds()
    * Configure the number of msgs to publish when stationary.
    * Run jog_calcs at the same rate as the publishing thread.
    * Better comments in config file, add spacenav_node dependency
    * Add spacenav_node to CMakeLists.
  * Contributors: AdamPettinger, AndyZe, Ayush Garg, Dale Koenig, Dave Coleman, Jonathan Binney, Paul Verhoeckx, Henning Kayser, Jafar Abdi, John Stechschulte, Mike Lautman, Robert Haschke, SansoneG, jschleicher, Tyler Weaver, rfeistenauer

 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 08 Jul 2020 06:00:00 -0000

ros-rolling-moveit-servo (1.0.1-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Fri, 08 Mar 2019 07:00:00 -0000

ros-rolling-moveit-servo (1.0.0-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sun, 24 Feb 2019 07:00:00 -0000

ros-rolling-moveit-servo (0.10.8-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 24 Dec 2018 07:00:00 -0000

ros-rolling-moveit-servo (0.10.5-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 01 Nov 2018 06:00:00 -0000

ros-rolling-moveit-servo (0.10.4-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Tue, 30 Oct 2018 01:44:00 -0000

ros-rolling-moveit-servo (0.10.3-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 29 Oct 2018 10:12:00 -0000

ros-rolling-moveit-servo (0.10.2-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 24 Oct 2018 06:00:00 -0000

ros-rolling-moveit-servo (0.10.1-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Fri, 25 May 2018 06:00:00 -0000

ros-rolling-moveit-servo (0.10.0-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Tue, 22 May 2018 06:00:00 -0000

ros-rolling-moveit-servo (0.9.11-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 25 Dec 2017 07:00:00 -0000

ros-rolling-moveit-servo (0.9.10-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 09 Dec 2017 07:00:00 -0000

ros-rolling-moveit-servo (0.9.9-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sun, 06 Aug 2017 06:00:00 -0000

ros-rolling-moveit-servo (0.9.8-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 21 Jun 2017 06:00:00 -0000

ros-rolling-moveit-servo (0.9.7-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 05 Jun 2017 06:00:00 -0000

ros-rolling-moveit-servo (0.9.6-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 12 Apr 2017 06:00:00 -0000

ros-rolling-moveit-servo (0.9.5-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 08 Mar 2017 07:00:00 -0000

ros-rolling-moveit-servo (0.9.4-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 06 Feb 2017 07:00:00 -0000

ros-rolling-moveit-servo (0.9.3-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 16 Nov 2016 07:00:00 -0000

ros-rolling-moveit-servo (0.9.2-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 05 Nov 2016 06:00:00 -0000

ros-rolling-moveit-servo (0.9.1-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Fri, 21 Oct 2016 06:00:00 -0000


